• Merhaba Ziyaretçi,
    Sitemizden yararlanmak için buradan kayıt olunuz.
  • Değerli üyelerimiz, Bildiğiniz üzere uzunca bir süredir eklenti desteği ile kişisel sebeplerden ötürü ilgilenemiyorum. Üyelerimizi mağdur etmemek açısından burada sergilenen eklentilerimizi Xenforo.gen.tr üzerinde satışa sunma kararı aldık. Mevcut eklentilere ait kritik problem ve geliştirmeler ile ilgili belirli aralıklarla Xenforo.gen.tr üzerinden destek verilecektir.

Yardım [DBTech] DragonByte Shop 4.4.0

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
merhaba arkadaşlar konu başlığındada yazdığım https://xenforo.com/community/resources/dbtech-dragonbyte-shop.5019/ [DBTech] DragonByte Shop 4.4.0 sürümünü
kurmak istediğimde plugini aktif ettiğim zaman ana sayfada çıkan yazı bu ftp içinde
shop.php bulunuyor ama hatası nedir onu anlayamadım.


Fatal error: Arrays are not allowed in class constants in /home/xsitex/public_html/Forum/library/DBTech/Shop/Model/Shop.php on line 13
 

apocalypse

Yönetici
Yönetim Ekibi
Katılım
9 Haz 2014
Mesajlar
1,023
Reaction score
1,031
Puanları
113
Web sitesi
xenforo.web.tr
PHP Versiyonu
PHP v7.0.x
XenForo Versiyonu
XF 1.5.x
Php sürümünüzle alakalı bir durum olmalı,min php 5.6 ve üzerinde çalışıyormuş.
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
Php sürümünüzle alakalı bir durum olmalı,min php 5.6 ve üzerinde çalışıyormuş.
xenforoda varmı peki hocam php sürümünü gösteren bölüm mybb de vardı misal
 
cpanel den baktım hocam PHP Sürümü 5.4.45 kaç olması lazım acaba
 

apocalypse

Yönetici
Yönetim Ekibi
Katılım
9 Haz 2014
Mesajlar
1,023
Reaction score
1,031
Puanları
113
Web sitesi
xenforo.web.tr
PHP Versiyonu
PHP v7.0.x
XenForo Versiyonu
XF 1.5.x
çalışmamasının sebebi belli,eklenti php 5.6daki yenilikleri kullanarak yazılmış,sizde bu eklentiyi kullanmak istiyorsanız min. 5.6 ya yükseltmelisiniz.
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
çalışmamasının sebebi belli,eklenti php 5.6daki yenilikleri kullanarak yazılmış,sizde bu eklentiyi kullanmak istiyorsanız min. 5.6 ya yükseltmelisiniz.
Kod:
You appear to have PHP 5.3.9 or higher installed on your server and configured to be too restrictive for DragonByte Shout to work correctly.

Please note that if you have a large number of usergroups, certain parts of this page may not work as intended.

If you encounter this issue, you may be able to work around this by adding the following code to your .htaccess file:

php_value max_input_vars 10000


or altering your php.ini file to increase max_input_vars to 10000.
dragonbyt sohbet eklentisindede bu hata var seçeneklerinde admin panelinde üst kısmında gösteriyor
 

apocalypse

Yönetici
Yönetim Ekibi
Katılım
9 Haz 2014
Mesajlar
1,023
Reaction score
1,031
Puanları
113
Web sitesi
xenforo.web.tr
PHP Versiyonu
PHP v7.0.x
XenForo Versiyonu
XF 1.5.x
"çok fazla sayıda üye grubunuz varsa bu sayfa beklendiği gibi çalışmayacaktır.Hata alırsanız .htaccess dosyasına
Kod:
php_value max_input_vars 10000
kodu ekleyin yada
php.ini dosyasındaki
max_input_vars değerini 10000 yapın" yazıyor.
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
"çok fazla sayıda üye grubunuz varsa bu sayfa beklendiği gibi çalışmayacaktır.Hata alırsanız .htaccess dosyasına
Kod:
php_value max_input_vars 10000
kodu ekleyin yada
php.ini dosyasındaki
max_input_vars değerini 10000 yapın" yazıyor.
peki siz hangisini önerirsiniz hocam htaccess mi yoksa php ini dosyasını yapalım
 
"çok fazla sayıda üye grubunuz varsa bu sayfa beklendiği gibi çalışmayacaktır.Hata alırsanız .htaccess dosyasına
Kod:
php_value max_input_vars 10000
kodu ekleyin yada
php.ini dosyasındaki
max_input_vars değerini 10000 yapın" yazıyor.
hocam bu sohbet için hatası casp ile anlatmanız mümkünmü
ben php.ini dosyasını bulamadım ftp de vede .htaccess iki adet var birisi htaccess.txt diğeri ise normal .htaccess
hangisinin içine hangi satıra yazmalıyız bunların veya php.ini dosyası nerede onunda hangi satırına yazılmalı.
 

apocalypse

Yönetici
Yönetim Ekibi
Katılım
9 Haz 2014
Mesajlar
1,023
Reaction score
1,031
Puanları
113
Web sitesi
xenforo.web.tr
PHP Versiyonu
PHP v7.0.x
XenForo Versiyonu
XF 1.5.x
php.ini dosyası ftpde bulunmaz,sunucuya erişiminiz varsa ancak öyle ulaşırsınız yada hosting yetkilisine durumu bildirmelisiniz.
Yada yukarıda yazdığım gibi .htaccess dosyasına verdiğim kodu ekleyin.
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
php.ini dosyası ftpde bulunmaz,sunucuya erişiminiz varsa ancak öyle ulaşırsınız yada hosting yetkilisine durumu bildirmelisiniz.
Yada yukarıda yazdığım gibi .htaccess dosyasına verdiğim kodu ekleyin.
hocam .htaccess in hangi satırına
 

apocalypse

Yönetici
Yönetim Ekibi
Katılım
9 Haz 2014
Mesajlar
1,023
Reaction score
1,031
Puanları
113
Web sitesi
xenforo.web.tr
PHP Versiyonu
PHP v7.0.x
XenForo Versiyonu
XF 1.5.x
kodu ekleyip denediniz mi,hangi satıra eklendiğinin bi önemi yok,en üste ekleyin yeter.
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
kodu ekleyip denediniz mi,hangi satıra eklendiğinin bi önemi yok,en üste ekleyin yeter.
bir kaç yere denedim bu hatayı veriyor ilk başta
Kod:
Proudly powered by LiteSpeed Web Server
Please be advised that LiteSpeed Technologies Inc. is not a web hosting company and, as such, has no control over content found on this site.
daha sonra sayfayı yenileyincede gidiyor aynı zamanda arkplanda bu yazının arka planında ise 404 hatası var ama sitede aktif görünüyor
 
 

premiumturkey

Kayıtlı Üye
Katılım
18 Ağu 2016
Mesajlar
141
Reaction score
55
Puanları
28
Yaş
33
Konum
New York
Web sitesi
cracking.ml
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
bir kaç yere denedim bu hatayı veriyor ilk başta
Kod:
Proudly powered by LiteSpeed Web Server
Please be advised that LiteSpeed Technologies Inc. is not a web hosting company and, as such, has no control over content found on this site.
daha sonra sayfayı yenileyincede gidiyor aynı zamanda arkplanda bu yazının arka planında ise 404 hatası var ama sitede aktif görünüyor
 
Birader bu eklentilerle uğraşma benimde bu siteden var gir incele bendeki eklentileri sende kursan yeter dersi yani kredi sistemi gayet yetiyor bu eklenti sistemi aşırı yorar vbde kurdum çok sıkıntı çektim
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
aynen capsda gözüktüğü gibi
 
Birader bu eklentilerle uğraşma benimde bu siteden var gir incele bendeki eklentileri sende kursan yeter dersi yani kredi sistemi gayet yetiyor bu eklenti sistemi aşırı yorar vbde kurdum çok sıkıntı çektim
benim uğraştığım sohbet kardeşim kredi sistemi değil
 

premiumturkey

Kayıtlı Üye
Katılım
18 Ağu 2016
Mesajlar
141
Reaction score
55
Puanları
28
Yaş
33
Konum
New York
Web sitesi
cracking.ml
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
tamam bu konudaki shop eklentisi sorunu değilmi shop eklentisinde sorun yaşıyorsun işte @Kasper
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
tamam bu konudaki shop eklentisi sorunu değilmi shop eklentisinde sorun yaşıyorsun işte @Kasper
aslında eklenti muhteşem ama biz lite yi kullanıyoruz pro su değil birde sorun eklentiden değil adamlar
her yöntemi söylemişler sorun bizden yani çözerim ben bunu birazda tabiki @apocalypse hocamın yardımları ile
 

premiumturkey

Kayıtlı Üye
Katılım
18 Ağu 2016
Mesajlar
141
Reaction score
55
Puanları
28
Yaş
33
Konum
New York
Web sitesi
cracking.ml
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
aslında eklenti muhteşem ama biz lite yi kullanıyoruz pro su değil birde sorun eklentiden değil adamlar
her yöntemi söylemişler sorun bizden yani çözerim ben bunu birazda tabiki @apocalypse hocamın yardımları ile
Senin site faaliyete geçtimi ?
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
en üste ekleyince kodu .htaccess içi bozuldu bütün satırlar tek satıra geçti ama ilk sorun düzeldi hata vermiyor şimdi
 
Senin site faaliyete geçtimi ?
ben denemeleri bitirmeden tam rayına girmeden hala geçirmem
 
@apocalypse hocam yine capsdaki hatayı veriyor
 

premiumturkey

Kayıtlı Üye
Katılım
18 Ağu 2016
Mesajlar
141
Reaction score
55
Puanları
28
Yaş
33
Konum
New York
Web sitesi
cracking.ml
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
en üste ekleyince kodu .htaccess içi bozuldu bütün satırlar tek satıra geçti ama ilk sorun düzeldi hata vermiyor şimdi
 

ben denemeleri bitirmeden tam rayına girmeden hala geçirmem
Bence site tam rayında sen fazla kurcalıyorsun eklentileri yüklersin yavaş yavaş sen üye toplamaya bak yükselişe bak benim site 1 ayda üst seviyede yükselişte eklentiler kodları her zaman yaparsın önemli olan sitenin ilerleyişi.
 

MySimS3k®

Emektar Üye
Katılım
30 Nis 2016
Mesajlar
358
Reaction score
342
Puanları
63
Yaş
41
Konum
Adana
Web sitesi
xenforo.com.tr
PHP Versiyonu
PHP v7.1.x
Bence site tam rayında sen fazla kurcalıyorsun eklentileri yüklersin yavaş yavaş sen üye toplamaya bak yükselişe bak benim site 1 ayda üst seviyede yükselişte eklentiler kodları her zaman yaparsın önemli olan sitenin ilerleyişi.
Aynen aynı fikirdeyim :) önemli olan sitenin iyi yerlere gelmesidir.
 

Kasper

Kayıtlı Üye
Katılım
5 Ağu 2016
Mesajlar
188
Reaction score
88
Puanları
43
Yaş
41
Web sitesi
cyber-warriors.net
PHP Versiyonu
PHP v7.1.x
XenForo Versiyonu
XF 1.5.x
şimdi öle bakın işler bitsin uçuşa geçeriz önce bi bitirelim her şeyide
 
.htaccess içi bozuldu onu napıcam ben :)
 
Üst